# ================= 基础配置 =================
port: 7890
socks-port: 7891
allow-lan: true
mode: rule
log-level: info

# ================= DNS =================
dns:
  enable: true
  ipv6: false
  enhanced-mode: fake-ip
  nameserver:
    - 1.1.1.1
    - 8.8.8.8

# ================= 节点 =================
proxies:
  - name: ss-cc
    type: ss
    server: cc.cafeboy.org
    port: 12761
    password: "cafeboy.org"
    cipher: chacha20-ietf-poly1305

  - name: ss-2022
    type: ss
    server: cc.cafeboy.org
    port: 15533
    password: "aM+yPNPqkeaS4fAvhygcmkibKpUtAjr72nRgPebOv3Q="
    cipher: 2022-blake3-aes-256-gcm

  - name: vmess-cc
    type: vmess
    server: vcc.cafeboy.org
    port: 443
    uuid: 8a3cb1c9-9a48-44d1-b622-54d280c8b9b6
    alterId: 0
    cipher: auto
    network: ws
    ws-opts:
      path: /8a3cb1c9-9a48-44d1-b622-54d280c8b9b6
    tls: true

  - name: vmess-pr
    type: vmess
    server: vpr.cafeboy.org
    port: 443
    uuid: 5da52cb6-f24a-4954-9801-89bee0e76d2d
    alterId: 0
    cipher: auto
    network: ws
    ws-opts:
      path: /2efe03d327d279
    tls: true

  - name: vless-reality
    type: vless
    server: cc.cafeboy.org
    port: 8443
    uuid: 6db64a2f-dd0a-4782-9ab5-ba178fc5ef27
    network: tcp
    tls: true
    udp: true
    flow: xtls-rprx-vision
    reality-opts:
      public-key: uYju0-eq6qIMgHd2ZzKHFZyUgijFBncSR75qYOPZIQk
      short-id: ""
    servername: www.microsoft.com
    client-fingerprint: chrome

# ================= 分组 =================
proxy-groups:
  - name: 🚀 自动选择
    type: fallback
    url: http://www.gstatic.com/generate_204
    interval: 300
    proxies:
      - vless-reality
      - ss-cc
      - vmess-cc
      - ss-2022
      - vmess-pr

  - name: 🌍 代理
    type: select
    proxies:
      - 🚀 自动选择
      - vless-reality
      - ss-cc
      - vmess-cc
      - ss-2022
      - vmess-pr
      - DIRECT

rules:
  - IP-CIDR,127.0.0.0/8,DIRECT
  - IP-CIDR,192.168.0.0/16,DIRECT
  - IP-CIDR,10.0.0.0/8,DIRECT
  - DOMAIN-SUFFIX,cn,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,🌍 代理